PartitionRebalanceInfo (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.partition, interface: PartitionRebalanceInfo

Package org.apache.geode.cache.partition

# Interface PartitionRebalanceInfo

public interface PartitionRebalanceInfo
The detailed results of rebalancing a partitioned region.

Since:
  GemFire 6.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getBucketCreateBytes()`
  Returns the size, in bytes, of all of the buckets that were created as part of the rebalance operation.
  `int`
  `getBucketCreatesCompleted()`
  Returns the number of buckets created during the rebalance operation.
  `long`
  `getBucketCreateTime()`
  Returns the time, in milliseconds, taken to create buckets for this region.
  `long`
  `getBucketRemoveBytes()`
  Returns the size, in bytes, of all of the buckets that were removed as part of the rebalance operation.
  `int`
  `getBucketRemovesCompleted()`
  Returns the number of buckets removed during the rebalance operation.
  `long`
  `getBucketRemoveTime()`
  Returns the time, in milliseconds, taken to remove buckets for this region.
  `long`
  `getBucketTransferBytes()`
  Returns the size, in bytes, of buckets that were transferred for this region.
  `int`
  `getBucketTransfersCompleted()`
  Returns the number of buckets transferred for this region.
  `long`
  `getBucketTransferTime()`
  Returns the amount of time, in milliseconds, it took to transfer buckets for this region.
  `int`
  `getNumberOfMembersExecutedOn()`
  Returns the total number of members on which command is executed.
  `Set<PartitionMemberInfo>`
  `getPartitionMemberDetailsAfter()`
  Returns a `Set` of detailed information about each member that had rebalancable resources at the time that the rebalance completed.
  `Set<PartitionMemberInfo>`
  `getPartitionMemberDetailsBefore()`
  Returns a `Set` of detailed information about each member that had rebalancable resources at the time that the rebalance started.
  `int`
  `getPrimaryTransfersCompleted()`
  Returns the number of primaries that were transferred for this region.
  `long`
  `getPrimaryTransferTime()`
  Returns the time, in milliseconds, spent transferring primaries for this region.
  `String`
  `getRegionPath()`
  Returns the `full path` of the partitioned region that these details describe.
  `long`
  `getTime()`
  Returns the time, in milliseconds, that the rebalance operation took for this region.

- ## Method Details

  - ### getRegionPath

    String getRegionPath()
    Returns the `full path` of the partitioned region that these details describe.
    Returns:
      the full name of partioned region that these details describe.

  - ### getPartitionMemberDetailsBefore

    Set<PartitionMemberInfo> getPartitionMemberDetailsBefore()
    Returns a `Set` of detailed information about each member that had rebalancable resources at the time that the rebalance started.
    Returns:
      a `Set` of detailed information about each member that had rebalancable resources at the time that the rebalance started

  - ### getPartitionMemberDetailsAfter

    Set<PartitionMemberInfo> getPartitionMemberDetailsAfter()
    Returns a `Set` of detailed information about each member that had rebalancable resources at the time that the rebalance completed.
    Returns:
      a `Set` of detailed information about each member that had rebalancable resources at the time that the rebalance completed

  - ### getTime

    long getTime()
    Returns the time, in milliseconds, that the rebalance operation took for this region.
    Returns:
      the time, in milliseconds, that the rebalance operation took for this region.

  - ### getBucketCreatesCompleted

    int getBucketCreatesCompleted()
    Returns the number of buckets created during the rebalance operation.
    Returns:
      the number of buckets created during the rebalance operation

  - ### getBucketCreateBytes

    long getBucketCreateBytes()
    Returns the size, in bytes, of all of the buckets that were created as part of the rebalance operation.
    Returns:
      the size, in bytes, of all of the buckets that were created as part of the rebalance operation

  - ### getBucketCreateTime

    long getBucketCreateTime()
    Returns the time, in milliseconds, taken to create buckets for this region.
    Returns:
      the time, in milliseconds, taken to create buckets for this region

  - ### getBucketRemovesCompleted

    int getBucketRemovesCompleted()
    Returns the number of buckets removed during the rebalance operation.
    Returns:
      the number of buckets removed during the rebalance operation

  - ### getBucketRemoveBytes

    long getBucketRemoveBytes()
    Returns the size, in bytes, of all of the buckets that were removed as part of the rebalance operation.
    Returns:
      the size, in bytes, of all of the buckets that were removed as part of the rebalance operation

  - ### getBucketRemoveTime

    long getBucketRemoveTime()
    Returns the time, in milliseconds, taken to remove buckets for this region.
    Returns:
      the time, in milliseconds, taken to remove buckets for this region

  - ### getBucketTransfersCompleted

    int getBucketTransfersCompleted()
    Returns the number of buckets transferred for this region.
    Returns:
      the number of buckets transferred for this region

  - ### getBucketTransferBytes

    long getBucketTransferBytes()
    Returns the size, in bytes, of buckets that were transferred for this region.
    Returns:
      the size, in bytes, of buckets that were transferred for this region

  - ### getBucketTransferTime

    long getBucketTransferTime()
    Returns the amount of time, in milliseconds, it took to transfer buckets for this region.
    Returns:
      the amount of time, in milliseconds, it took to transfer buckets for this region

  - ### getPrimaryTransfersCompleted

    int getPrimaryTransfersCompleted()
    Returns the number of primaries that were transferred for this region.
    Returns:
      the number of primaries that were transferred for this region

  - ### getPrimaryTransferTime

    long getPrimaryTransferTime()
    Returns the time, in milliseconds, spent transferring primaries for this region.
    Returns:
      the time, in milliseconds, spent transferring primaries for this region

  - ### getNumberOfMembersExecutedOn

    int getNumberOfMembersExecutedOn()
    Returns the total number of members on which command is executed.
    Returns:
      the total number of members on which command is executed